Package com.arms.api.globaltreemap.model

## Class GlobalTreeMapSpecification

- java.lang.Object
- - com.arms.api.globaltreemap.model.GlobalTreeMapSpecification

-     public class GlobalTreeMapSpecification
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GlobalTreeMapSpecification()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static org.springframework.data.jpa.domain.Specification<GlobalTreeMapEntity>` | `equalFilerepository_link​(java.lang.Long filerepository_link)` |
    `static org.springframework.data.jpa.domain.Specification<GlobalTreeMapEntity>` | `equalJiraissuepriority_link​(java.lang.Long jiraissuepriority_link)` |
    `static org.springframework.data.jpa.domain.Specification<GlobalTreeMapEntity>` | `equalMap_key​(java.lang.Long map_key)` |
    `static org.springframework.data.jpa.domain.Specification<GlobalTreeMapEntity>` | `equalPdservice_link​(java.lang.Long pdservice_link)` |
    `static org.springframework.data.jpa.domain.Specification<GlobalTreeMapEntity>` | `equalPdserviceversion_link​(java.lang.Long pdserviceversion_link)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GlobalTreeMapSpecification

          public GlobalTreeMapSpecification()

  - ### Method Detail

    - #### equalMap_key

          public static org.springframework.data.jpa.domain.Specification<GlobalTreeMapEntity> equalMap_key​(java.lang.Long map_key)

    - #### equalFilerepository_link

          public static org.springframework.data.jpa.domain.Specification<GlobalTreeMapEntity> equalFilerepository_link​(java.lang.Long filerepository_link)

    - #### equalJiraissuepriority_link

          public static org.springframework.data.jpa.domain.Specification<GlobalTreeMapEntity> equalJiraissuepriority_link​(java.lang.Long jiraissuepriority_link)

    - #### equalPdservice_link

          public static org.springframework.data.jpa.domain.Specification<GlobalTreeMapEntity> equalPdservice_link​(java.lang.Long pdservice_link)

    - #### equalPdserviceversion_link

          public static org.springframework.data.jpa.domain.Specification<GlobalTreeMapEntity> equalPdserviceversion_link​(java.lang.Long pdserviceversion_link)